ALI(1)

NAME
ali - list mail aliases

SYNOPSIS

ali [-alias aliasfile] [-list | -nolist] [-user | -nouser] [-version] [-help] [aliases ...]

DESCRIPTION
Ali searches the named mail alias files for each of the given aliases. It creates a list of addresses for those aliases, and writes that list on standard output. If no arguments are given, ali outputs all alias entries.

By default, when an aliases expands to multiple addresses, the addresses are separated by commas and printed on as few lines as possible. If the -list option is specified, then when an address expands to multiple addresses, each address will appear on a separate line.

The switch -user directs ali to perform its processing in an inverted fashion: instead of listing the addresses that each given alias expands to, ali will list the aliases that expand to each given address.

The files specified by the profile entry “Aliasfile” and any additional alias files given by the -alias aliasfile switch will be read. Each alias is processed as described in mh-alias(5).

FILES
Alias files are looked up in multiple locations: if the pathname is absolute or starts with “.” or “..” then it's accessed directly; otherwise tilde expansion is done on usernames, then files are searched for in the user's Mail directory as specified in their profile. If not found there, the directory “/etc/nmh” is checked.

$HOME/.mh_profile
    The user's profile.

PROFILE COMPONENTS

Path:
    To determine the user's nmh directory
Aliasfile:
    For a default alias file

SEE ALSO
mh-alias(5)

DEFAULTS
aliasfile
    /etc/nmh/MailAliases
-nolist
-nouser

CONTEXT
None

BUGS
The -user option with -nonormalize is not entirely accurate, as it does not replace local nicknames for hosts with their official site names.